=== debian/changelog ===
w3m-ssl (0.1.10+0.1.11pre+kokb23-4) stable; urgency=high

  * [SECURITY FIX] backport fix of mime header buffer overflow
    SNS Advisory No.32
    w3m malformed MIME header Buffer Overflow Vulnerability
    http://www.lac.co.jp/security/snsadv/32.html (Japanese)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 20 Jun 2001 11:15:03 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb23-3) unstable; urgency=low

  * don't remove pager alternative when upgrading, (same as Bug#87331)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 25 Feb 2001 00:27:58 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb23-2) unstable; urgency=high

  * link with libssl096, closes: Bug#66306, Bug#86387, Bug#83681, Bug#82271
  * view information on SSL certificates, closes: Bug#79689
  * w3m-dev-01739
    Add wheel mouse patch

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 19 Feb 2001 01:42:37 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb23-1) stable unstable; urgency=high

  * new upstream pre release
    more security fixes
    - fix table stack overflow
    - more internal tag and attribute check
    - fix some buffer overflow bug
    null character handling
  * w3m-dev-01500
    fix risky code in url.c

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 14 Dec 2000 01:10:10 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb22-1) stable unstable; urgency=high

  * new upstream pre release
    including important security fix
  * apply patches on w3m-dev
    w3m-dev-01432,01437,01443,01445

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  3 Dec 2000 01:36:42 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb21-3) unstable; urgency=high

  * SECURITY FIX:
    more checking internal tag

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  1 Dec 2000 11:46:50 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb21-2) unstable; urgency=HIGH

  * SECURITY FIX:
    check internal tag

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  1 Dec 2000 10:48:21 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb21-1) unstable; urgency=low

  * new upstream pre release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 28 Nov 2000 10:59:02 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb20-1) unstable; urgency=low

  * new upstream pre release
  * fix mailcap handling, closes: Bug#77679

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 23 Nov 2000 05:47:03 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb19-2) unstable; urgency=low

  * for JIS output, kanjicode=j instead of kanjicode=J, closes: Bug#76605
  * fix configuration. no block in sig_chld(), closes: Bug#77167

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 19 Nov 2000 00:53:37 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb19-1) unstable; urgency=low

  * new upstream pre release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 10 Nov 2000 00:27:36 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb18-3) unstable; urgency=low

  * fix again rxvt mouse support, closes: Bug#76036

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  2 Nov 2000 18:47:13 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb18-2) unstable; urgency=low

  * fix pager alternatives' slave

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 31 Oct 2000 10:28:15 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb18-1) unstable; urgency=low

  * new upstream pre release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 30 Oct 2000 11:46:55 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb17-3) unstable; urgency=low

  * apply patches
    w3m-dev:01258 filename/URI input line completion
    w3m-dev:01263 setting user mailcap and mime.type
    w3m-dev:01269 news: URL fix
    w3m-dev:01273 USE_NNTP fix
    w3m-dev:01274 support nntp:
    w3m-dev:01275 change squeeze multiple blank line option to -s
    		closes: Bug#75527
    w3m-dev:01276 fix URL in visual mode
    		closes: Bug#75573
    w3m-dev:01277 add Accept-Encoding: gzip
    		closes: Bug#74695
  * (config.h-*) add USE_GOPHER, USE_NNTP
  * w3m.sh: fix for -ppc, -o, -config
  * w3m.1: update
  * emacsen-startup: remove extra right paren, closes: Bug#75795

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 26 Oct 2000 21:42:45 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb17-2) unstable; urgency=low

  * apply patches
    w3m-dev:01240: fix segfault, incompatible pointer, closes: Bug#75513
    w3m-dev:01247: cummulative menu patch

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 25 Oct 2000 12:38:30 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb17-1) unstable; urgency=low

  * new upstream pre release with several patches
   - can't reproduce "run in an xterm gets trashed by the \x96 character"
     closes: Bug#53048
   - fixed: w3m in xterm horribly confused by Japanese in title
     closes: Bug#62474
   - fixed: Won't warn if can't understand config files.
     closes: Bug#74069
   - apply keymap.lynx example could be better.
     closes: Bug#74070
  * include w3m.el

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 24 Oct 2000 13:37:53 +0900

w3m-ssl (0.1.10-3) unstable; urgency=low

  * several bug fixes:
    - resize on rxvt works fine, closes: Bug#64678, #71597
    - No segfault from history page in 0.1.10, closes: Bug#65101
    - As bug submitter said, download problem was fixed in 0.1.10, 
      closes: Bug#66235
    - no nbsp leaks with 0.1.10, closes: Bug#67581
    - fix debian/rules to check -perm 0100 instead of -perm 0111,
      closes: Bug#72100
    - support rxvt mouse support: closes: Bug#71380, Bug#58280
    - mailcap test, closes: Bug#63309
    - quote space in form submit: closes: Bug#60825, Bug#67466
    - ignore space in leading blanks: closes: Bug#66887
    If you claim not yet fixed, please reopen

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  1 Oct 2000 04:15:08 +0900

w3m-ssl (0.1.10-2) stable unstable; urgency=medium

  * proposed-updates release
    since I believe 0.1.10-1 (in woody) is more stable than 0.9.5-5 (in potato)
    and I plan w3m move to next unstable/experimental release for woody,
    so I'd like to put it in stable(proposed-updates)
    I'd not like to backport to 0.9.5 from 0.1.10, because it might include
    some bugs, so I think 0.1.10 (proven stable) is better than backported
    0.9.5

